function::abort
Prev | Chapter 22. Logging Tapset | Next

## Name

function::abort — Immediately shutting down probing script.

## Synopsis

        abort()

## Arguments

None

## Description

This is similar to `exit` but immediately aborts the current probe handler instead of waiting for its completion. Probe handlers already running on *other* CPU cores, however, will still continue to their completion. Unlike `error`, this function call cannot be caught by 'try ... catch'.

Prev | Up | Next
Chapter 22. Logging Tapset | Home | function::assert